Skip to main content

Get Dealer

Retrieve a single dealer by ID.

Endpoint

GET /api/v3/fermata/dealer/get?dealerAccountId={dealerAccountId}

Description

Returns the full dealer object including configuration, linked exchange accounts, and current status.

Authentication

Requires Bearer token authentication.

Authorization: Bearer {access_token}

Query Parameters

ParameterTypeRequiredDescription
dealerAccountIdstringYesDealer account ID

Response

Returns the dealer object.

FieldTypeDescription
dealerAccountIdstringDealer account ID
namestringDealer name
statusstringDealer status (ACTIVE, PAUSED, ARCHIVED)
baseCurrenciesstring[]Base currencies
riskThresholdstringRisk threshold in USD
linkedAccountIdsstring[]Trading account IDs of linked exchange accounts
configobjectAdditional configuration
createdAtintegerCreation timestamp (milliseconds)
updatedAtintegerLast update timestamp (milliseconds)

Usage

import requests

headers = {"Authorization": f"Bearer {access_token}"}

response = requests.get(
"https://cadenza-api.algo724.com/api/v3/fermata/dealer/get",
headers=headers,
params={"dealerAccountId": "550e8400-e29b-41d4-a716-446655440000"}
)

dealer = response.json()["data"]
print(f"Dealer: {dealer['name']} ({dealer['status']})")
print(f"Linked accounts: {len(dealer['linkedAccountIds'])}")
curl -X GET "https://cadenza-api.algo724.com/api/v3/fermata/dealer/get?dealerAccountId=550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..."

Example Response

{
"data": {
"dealerAccountId": "550e8400-e29b-41d4-a716-446655440000",
"name": "Main Dealer",
"status": "ACTIVE",
"baseCurrencies": ["USDT", "USDC"],
"riskThreshold": "1000000",
"linkedAccountIds": [
"660e8400-e29b-41d4-a716-446655440001",
"770e8400-e29b-41d4-a716-446655440002"
],
"config": {},
"createdAt": 1711929600000,
"createdAtDateTime": "2025-04-01T00:00:00.000Z",
"updatedAt": 1711929800000,
"updatedAtDateTime": "2025-04-01T00:03:20.000Z"
},
"success": true,
"errno": 0,
"error": null
}

Error Responses

HTTP CodeErrorDescription
400Invalid requestMissing dealerAccountId
401UnauthorizedInvalid or expired access token
403ForbiddenInsufficient permissions
404Not foundDealer not found

Example Error

{
"data": null,
"success": false,
"errno": -130002,
"error": "Dealer not found: 550e8400-e29b-41d4-a716-446655440000"
}

Notes

  • Users with client accounts can query the dealer they are connected to
  • Admin users can query any dealer